--- old/usr/src/lib/libc/port/inet/inet_ntoa.c	Mon Aug 13 00:30:31 2018
+++ new/usr/src/lib/libc/port/inet/inet_ntoa.c	Mon Aug 13 00:30:31 2018
@@ -110,7 +110,6 @@
  */
 
 #include "lint.h"
-#include "thr_uberdata.h"
 
 #include <sys/types.h>
 
@@ -120,7 +119,10 @@
 #include <errno.h>
 #include <stdio.h>
 #include <stdlib.h>
+#include <threads.h>
 
+static thread_local char ntoa_buf[18];
+
 char *
 inet_ntoa_r(struct in_addr in, char b[])
 {
@@ -136,7 +138,7 @@
 char *
 inet_ntoa(struct in_addr in)
 {
-	return (inet_ntoa_r(in, curthread->ul_ntoabuf));
+	return (inet_ntoa_r(in, ntoa_buf));
 }
 
 /*
